# GCC_ConnectData Class Reference

`#include <gcc.h>`

Inheritance diagram for GCC_ConnectData:

List of all members.

## Public Member Functions

| GCC_ConnectData (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

GCC_Key | m_t124Identifier
PASN_OctetString | m_connectPDU

## Constructor & Destructor Documentation

GCC_ConnectData::GCC_ConnectData | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX GCC_ConnectData::GetDataLength | ( |  | ) | const

PBoolean GCC_ConnectData::Decode | ( | PASN_Stream & | strm | ) |

void GCC_ConnectData::Encode | ( | PASN_Stream & | strm | ) | const

void GCC_ConnectData::PrintOn | ( | ostream & | strm | ) | const

Comparison GCC_ConnectData::Compare | ( | const PObject & | obj | ) | const

PObject* GCC_ConnectData::Clone | ( |  | ) | const

## Member Data Documentation

GCC_Key GCC_ConnectData::m_t124Identifier

PASN_OctetString GCC_ConnectData::m_connectPDU

The documentation for this class was generated from the following file:

- gcc.h